Name:           perl-MooseX-Util
Version:        0.006
Release:        1%{?dist}
Summary:        Moose::Util extensions
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MooseX-Util/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/MooseX-Util-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(aliased)
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Meta::Class)
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(Moose::Util)
BuildRequires:  perl(MooseX::TraitFor::Meta::Class::BetterAnonClassNames) >= 0.002001
BuildRequires:  perl(namespace::autoclean)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::Moose::More) >= 0.016
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Moose)
Requires:       perl(Moose::Meta::Class)
Requires:       perl(Moose::Util)
Requires:       perl(MooseX::TraitFor::Meta::Class::BetterAnonClassNames) >= 0.002001
Requires:       perl(namespace::autoclean)
Requires:       perl(parent)
Requires:       perl(strict)
Requires:       perl(Sub::Exporter::Progressive)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(MooseX::Util)

%description
This is a utility module that handles all of the same functions that
Moose::Util handles. In fact, most of the functions exported by this
package are simply re-exports from Moose::Util, so you're recommended to
read the documentation of that module for a comprehensive view.

%prep
%setup -q -n MooseX-Util-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.006-1
- Specfile autogenerated by cpanspec 1.78.
